<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task -7</title>
</head>
<body>
    <div>
        <button (click)="showPopup()" >Create</button>
      
    </div>
    <table class="myTable">
        <thead>
            <tr>
                <th>Action</th>
                <th>ID</th>
                <th>Student Name</th>
                <th>Father Name</th>
                <th>DateOfBirth</th>
                <th>Address</th>
                <th>Department</th>
                <th>Age</th>
                <th>Email</th>
            </tr>
        </thead>
        <tbody>
                <tr *ngFor="let item of Studentlist; let i = index" [attr.data-index]="i">
                    <td><input type="button" (click)="editClick(i)" value='Edit' class='btn btn-primary'>  <input type="button" (click)="deleteClick(i)" value='Delete' class='btn btn-danger'></td>
                    <td>{{i}}</td>
                    <td>{{item.StudentName}}</td>
                    <td>{{item.FatherName}}</td>
                    <td>{{item.DateOfBirth}}</td>
                    <td>{{item.Address}}</td>
                    <td>{{item.Department}}</td>
                    <td>{{item.Age}}</td>
                    <td>{{item.EmailId}}</td>
                </tr>
        </tbody>
    </table>

      <div class="modal fade" role="dialog" [ngClass]="{'in showPopup': mypopup}">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" (click)="closePopup()" >
                        &times;
                    </button>
                    <h4 class="modal-title">Student Form </h4>
                </div>
                <div class="modal-body">
                    <form [formGroup]="studentForm">
                        <div class="form-group">
                            <label for="studentname">Student Name : </label>
                            <input type="text" class="form-control" placeholder="Enter Student Name" formControlName="StudentName" >
                            <span class="form_error"  *ngIf="submited && studentForm.get('StudentName').errors?.required">* student name is required</span>
                        </div>
                        <div class="form-group">
                            <label for="fathername">Father Name : </label>
                            <input type="text" class="form-control" placeholder="Enter Father Name" formControlName="FatherName">
                            <span class="form_error" *ngIf="submited  && studentForm.get('FatherName').errors?.required">* father name is required</span>
                        </div>
                        <div class="form-group">
                            <label for="gender">Gender :</label>
                            <input type="radio" formControlName="Gender" value="male">
                            <label for="male">Male</label>
                            <input type="radio" formControlName="Gender" value="female">
                            <label for="female">FeMale</label>

                        </div>
                        <div class="form-group">
                            <label for="dateofbirth">Date Of Birth :</label>
                            <input type="date" class="form-control" formControlName="DateOfBirth">
                            <span class="form_error" *ngIf="submited  && studentForm.get('DateOfBirth').errors?.required">* dateofbirth is required</span>
                        </div>
                        <div class="form-group"> 
                            <label for="department">Department : </label>
                            <select formControlName="Department"  class="form-control">
                                <option value="0">--select--</option>
                                <option value="1">CSE</option>
                                <option value="2">IT</option>
                                <option value="3">BCA</option>
                            </select>
                            <span class="form_error" *ngIf="submited  && studentForm.get('Department').errors?.required">* department is required</span>
                        </div>
                        <div class="form-group">
                            <label for="address">Address :</label>
                            <textarea formControlName="Address" cols="30" rows="5" class="form-control" ></textarea>
                            <span class="form_error" *ngIf="submited  && studentForm.get('Address').errors?.required">* address is required</span>
                        </div>
                        <div class="form-group">
                            <label for="emailid">Email-Id</label>
                            <input type="email" formControlName="EmailId" class="form-control" placeholder="Enter email id" >
                            <span class="form_error" *ngIf="submited  && studentForm.get('EmailId').errors?.required">* email is required</span>
                            <span class="form_error" *ngIf="studentForm.get('EmailId').errors?.email">* invalid email id</span>
                        </div>
                        <div class="form-group">
                            <label for="age">Age :</label>
                            <input type="number" formControlName="Age" class="form-control">
                            <span class="form_error" *ngIf="submited  && studentForm.get('Age').errors?.required">* age is required</span>
                        </div>
                        <div class="form-group" *ngIf="operation == 'A'">
                            <label for="password">PassWord :</label>
                            <input type="password" formControlName="PassWord" maxlength=10 minlength=5 class="form-control">
                            <span class="form_error" *ngIf="submited  && studentForm.get('PassWord').errors?.required">* password is required</span>
                            <span class="form_error" *ngIf="studentForm.get('PassWord').errors?.minlength">* password must be at least 5 characters</span>
                        </div>
                        <div class="form-group" *ngIf="operation == 'A'">
                            <label for="confirmpassword">Confirm PassWord :</label>
                            <input type="password" formControlName="ConfirmPassWord" maxlength=10 minlength=5  class="form-control">
                            <span class="form_error" *ngIf="submited  && studentForm.get('ConfirmPassWord').errors?.required">* confirmpassWord is required</span>
                            <span class="form_error" *ngIf="studentForm.get('ConfirmPassWord').errors?.minlength">* password must be at least 5 characters</span>
                            <span class="form_error" *ngIf="studentForm.get('ConfirmPassWord').errors?.confirmedValidator">* password and confirm password must be match</span>
                        </div>
                        <div class="form-group">
                            <input type="checkbox"  name="ckb" id="ckb">
                            <label for="">Agree to terms and condition</label>
                        </div>
                        <div class="modal-footer form-group">
                            <input type="submit" (click)="submit()" value="Save" class="btn btn-primary">
                        </div>
                    </form>
                        
                </div>
            </div>

        </div>
    </div>
</body>
</html>

